﻿using System;
using System.IO;
using System.Text;

namespace SE.GOV.MM.Integration.Log
{
    /// <summary>
    /// Writing log to file.
    /// </summary>
    internal static class LogFileWriter
    {
        public static void WriteLogMessageToFile(string filepath, string message)
        {
            var incFileInfo = new FileInfo(filepath);

            var pathTofileNameWithDate = string.Format("{0}\\{1}-{2}-{3}_{4}", incFileInfo.DirectoryName, DateTime.Today.Year, DateTime.Today.Month, DateTime.Today.Day, incFileInfo.Name);

            var fileInfo = new FileInfo(pathTofileNameWithDate);
            if (fileInfo.Exists)
            {
                using (StreamWriter file = new StreamWriter(fileInfo.FullName, true))
                {
                    file.WriteLine(message);
                }
            }
            else
            {
                if (!fileInfo.Directory.Exists)
                {
                    Directory.CreateDirectory(fileInfo.Directory.FullName);
                }
                using (FileStream fs = fileInfo.Create())
                {
                    var messageText = new UTF8Encoding(true).GetBytes(message + Environment.NewLine);
                    fs.Write(messageText, 0, messageText.Length);
                }
               
            }
            
        }

    }
}
