﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Office.Tools.Ribbon;

namespace SE.GOV.MM.Integration.Outlook
{
    public partial class MinaMeddelanden_Ribbon
    {
        /// <summary>
        /// Senders mailadress
        /// </summary>
        private string Sender = string.Empty;

        private void MinaMeddelanden_Ribbon_Load(object sender, RibbonUIEventArgs e)
        {
            try
            {
                Sender = GetSenderEmailAddress();
                LoadConfigurationSettings();
            }
            catch (Exception)
            {

            }
        }

        /// <summary>
        /// Load settings from webservice.
        /// </summary>
        private void LoadConfigurationSettings()
        {
            new ConfigurationManager().LoadConfiguration();
        }

        /// <summary>
        /// Get sender email from Exchange user.
        /// </summary>
        private string GetSenderEmailAddress()
        {
            var senderEmailAddress = string.Empty;
            var currentUser = Globals.ThisAddIn.OutlookApplication.GetNamespace(Constant.MAPI).CurrentUser;

            if (currentUser != null)
            {
                var entryId = currentUser.EntryID;
                var nameSpace = Globals.ThisAddIn.OutlookApplication.GetNamespace(Constant.MAPI);
                nameSpace.Logon(Type.Missing, Type.Missing, false, false);
                senderEmailAddress = nameSpace.GetAddressEntryFromID(entryId).GetExchangeUser().PrimarySmtpAddress;
            }

            return senderEmailAddress;
        }

        /// <summary>
        /// Adds a new menubutton.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_CreateNewMessage_Click(object sender, RibbonControlEventArgs e)
        {
            var messageForm = new CreateMessageForm("Skapa nytt meddelande", Sender);
            messageForm.ShowCreateMessageDialog();
        }

        private void btnDeliveryStatus_Click(object sender, RibbonControlEventArgs e)
        {
            var messageForm = new CheckStatusForm(Sender);
            messageForm.ShowCheckStatusForm();
        }
    }
}
